
const OnceButton = {

    template: [
        '<b-button',
        ':type="type"',
        ':native-type="nativeType"',
        ':disabled="disabled"',
        '@click="clicked"',
        '>',
        '{{ text }}',
        '</b-button>'
    ].join(' '),

    props: {
        type: String,
        nativeType: String,
        text: String,
        working: String,
        workingText: String
    },

    data() {
        return {
            disabled: false
        }
    },

    methods: {

        clicked(event) {
            this.disabled = true
            if (this.workingText) {
                this.text = this.workingText
            } else if (this.working) {
                this.text = this.working + ", please wait..."
            } else {
                this.text = "Working, please wait..."
            }
        }
    }

}

Vue.component('once-button', OnceButton)
